#ifndef SonarExpert_h
#define SonarExpert_h

#include "stdio.h"
#include "StringModuleMember.h"
#include "msg.h"
#include "SonarManager.h"
#include <termios.h>

#define NORTH		0
#define NORTHEAST	4
#define EAST		1
#define SOUTHEAST	5
#define SOUTH		2
#define SOUTHWEST	6
#define WEST		3
#define NORTHWEST	7
#define MAXDISTANCE	7000
#define SENSORS_NUMBER	8

class SonarExpert: public StringModuleMember
{
	public:
	SonarExpert(ModuleDispatch* dis,long period);
	~SonarExpert();

	void distancesVaried(int direction, int newDistance);

	void RunInit();
	void RunDuty();
	void RunClose();
	int getDistance(int);

	private:
	int distances[SENSORS_NUMBER];
	char buff[500];
	int lenbuffold;
	int sp;
};

#endif
